package com.ruoyi.project.training.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.mapper.TTrainingCompanylevelMapper;
import com.ruoyi.project.training.domain.TTrainingCompanylevel;
import com.ruoyi.project.training.service.ITTrainingCompanylevelService;

import javax.annotation.Resource;

/**
 * 公司级培训Service业务层处理
 *
 * @author ruoyi
 * @date 2021-05-28
 */
@Service
public class TTrainingCompanylevelServiceImpl implements ITTrainingCompanylevelService
{
    @Resource
    private TTrainingCompanylevelMapper tTrainingCompanylevelMapper;

    /**
     * 查询公司级培训
     *
     * @param id 公司级培训ID
     * @return 公司级培训
     */
    @Override
    public TTrainingCompanylevel selectTTrainingCompanylevelById(Long id)
    {
        return tTrainingCompanylevelMapper.selectTTrainingCompanylevelById(id);
    }

    /**
     * 查询公司级培训列表
     *
     * @param tTrainingCompanylevel 公司级培训
     * @return 公司级培训
     */
    @Override
    public List<TTrainingCompanylevel> selectTTrainingCompanylevelList(TTrainingCompanylevel tTrainingCompanylevel)
    {
        return tTrainingCompanylevelMapper.selectTTrainingCompanylevelList(tTrainingCompanylevel);
    }

    /**
     * 新增公司级培训
     *
     * @param tTrainingCompanylevel 公司级培训
     * @return 结果
     */
    @Override
    public int insertTTrainingCompanylevel(TTrainingCompanylevel tTrainingCompanylevel)
    {
        return tTrainingCompanylevelMapper.insertTTrainingCompanylevel(tTrainingCompanylevel);
    }

    /**
     * 修改公司级培训
     *
     * @param tTrainingCompanylevel 公司级培训
     * @return 结果
     */
    @Override
    public int updateTTrainingCompanylevel(TTrainingCompanylevel tTrainingCompanylevel)
    {
        return tTrainingCompanylevelMapper.updateTTrainingCompanylevel(tTrainingCompanylevel);
    }

    /**
     * 重置公司级培训
     *
     * @return 结果
     */
    @Override
    public int resetTTrainingCompanylevel() {
        return tTrainingCompanylevelMapper.resetTTrainingCompanylevel();
    }

    /**
     * 批量删除公司级培训
     *
     * @param ids 需要删除的公司级培训ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingCompanylevelByIds(Long[] ids)
    {
        return tTrainingCompanylevelMapper.deleteTTrainingCompanylevelByIds(ids);
    }

    /**
     * 删除公司级培训信息
     *
     * @param id 公司级培训ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingCompanylevelById(Long id)
    {
        return tTrainingCompanylevelMapper.deleteTTrainingCompanylevelById(id);
    }
}
